Index: index.php
===================================================================
--- index.php	(revision 24945)
+++ index.php	(working copy)
@@ -242,8 +242,8 @@
              !$GLOBALS['eZRedirection'] )
 
         {
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            
+            $tpl = eZTemplate::instanceInit();
             $result = "<tr><td>" . $tpl->fetch( 'design:setup/debug_toolbar.tpl' ) . "</td></tr>";
             eZDebug::appendTopReport( "Debug toolbar", $result );
         }
@@ -871,8 +871,8 @@
                                             'text' => eZi18n::translate( 'index.php', 'Some general warnings occured, see debug for more information.' ) ) );
             }
         }
-        require_once( "kernel/common/template.php" );
-        $tpl = templateInit();
+        
+        $tpl = eZTemplate::instanceInit();
         if ( count( $warningList ) == 0 )
             $warningList = false;
         $tpl->setVariable( 'site', $site );
@@ -946,8 +946,7 @@
 eZDebug::setUseExternalCSS( $use_external_css );
 if ( $show_page_layout )
 {
-    require_once( "kernel/common/template.php" );
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
     if ( $tpl->hasVariable( 'node' ) )
         $tpl->unsetVariable( 'node' );
 
Index: benchmarks/eztemplate/ezmarktemplatecompiler.php
===================================================================
--- benchmarks/eztemplate/ezmarktemplatecompiler.php	(revision 24945)
+++ benchmarks/eztemplate/ezmarktemplatecompiler.php	(working copy)
@@ -51,8 +51,7 @@
 
     function prime( &$tr )
     {
-        require_once( 'kernel/common/template.php' );
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
         $tpl->setIsCachingAllowed( true );
         eZTemplateCompiler::setSettings( array( 'compile' => true,
                                                 'comments' => false,
Index: bin/php/eztc.php
===================================================================
--- bin/php/eztc.php	(revision 24945)
+++ bin/php/eztc.php	(working copy)
@@ -87,9 +87,7 @@
 if ( count( $options['arguments'] ) > 0 )
 {
     $ini = eZINI::instance();
-
-    require_once( 'kernel/common/template.php' );
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
 
     $fileList = $options['arguments'];
 
@@ -135,8 +133,8 @@
 
     $designList = array_merge( array( $standardDesign ), $additionalSiteDesignList, array( $siteDesign ) );
 
-    require_once( 'kernel/common/template.php' );
-    $tpl = templateInit();
+
+    $tpl = eZTemplate::instanceInit();
 
     $script->setIterationData( '.', '~' );
     if ( $forceCompile )
Index: bin/php/eztemplatecheck.php
===================================================================
--- bin/php/eztemplatecheck.php	(revision 24945)
+++ bin/php/eztemplatecheck.php	(working copy)
@@ -51,9 +51,7 @@
 if ( count( $options['arguments'] ) > 0 )
 {
     $ini = eZINI::instance();
-
-    require_once( 'kernel/common/template.php' );
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
 
     $fileList = array();
 
@@ -112,8 +110,7 @@
 
     $designList = array_merge( array( $standardDesign ), $additionalSiteDesignList, array( $siteDesign ) );
 
-    require_once( 'kernel/common/template.php' );
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
 
     $script->setIterationData( '.', '~' );
     $script->setShowVerboseOutput( true );
Index: kernel/class/classlist.php
===================================================================
--- kernel/class/classlist.php	(revision 24945)
+++ kernel/class/classlist.php	(working copy)
@@ -70,8 +70,7 @@
 }
 
 $Module->setTitle( eZi18n::translate( 'kernel/class', 'Class list of group' ) . ' ' . $GroupID );
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $user = eZUser::currentUser();
 foreach( $TemplateData as $tpldata )
Index: kernel/class/delete.php
===================================================================
--- kernel/class/delete.php	(revision 24945)
+++ kernel/class/delete.php	(working copy)
@@ -56,8 +56,7 @@
     $Module->redirectTo( '/class/classlist/' . $GroupID );
 }
 $Module->setTitle( "Deletion of class " .$ClassID );
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 
 $tpl->setVariable( "module", $Module );
Index: kernel/class/edit.php
===================================================================
--- kernel/class/edit.php	(revision 24945)
+++ kernel/class/edit.php	(working copy)
@@ -67,8 +67,7 @@
     $class = eZContentClass::fetch( $ClassID, true, eZContentClass::VERSION_STATUS_MODIFIED );
     if ( is_object( $class ) )
     {
-        require_once( 'kernel/common/template.php' );
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
         $tpl->setVariable( 'class', $class );
         $tpl->setVariable( "access_type", $GLOBALS['eZCurrentAccess'] );
 
@@ -117,8 +116,7 @@
         if ( $class->attribute( 'modifier_id' ) != $user->attribute( 'contentobject_id' ) &&
              $class->attribute( 'modified' ) + $timeOut > time() )
         {
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
 
             $res = eZTemplateDesignResource::instance();
             $res->setKeys( array( array( 'class', $class->attribute( 'id' ) ) ) ); // Class ID
@@ -321,9 +319,7 @@
         }
         else
         {
-            require_once( 'kernel/common/template.php' );
-
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
 
             $res = eZTemplateDesignResource::instance();
             $res->setKeys( array( array( 'class', $class->attribute( 'id' ) ) ) ); // Class ID
@@ -800,8 +796,7 @@
 $validation = array_merge( $validation, $datatypeValidation );
 
 // Template handling
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $res = eZTemplateDesignResource::instance();
 $res->setKeys( array( array( 'class', $class->attribute( 'id' ) ) ) ); // Class ID
 $tpl->setVariable( 'http', $http );
Index: kernel/class/groupedit.php
===================================================================
--- kernel/class/groupedit.php	(revision 24945)
+++ kernel/class/groupedit.php	(working copy)
@@ -78,8 +78,7 @@
 $Module->setTitle( "Edit class group " . $classgroup->attribute( "name" ) );
 
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $res = eZTemplateDesignResource::instance();
 $res->setKeys( array( array( "classgroup", $classgroup->attribute( "id" ) ) ) );
Index: kernel/class/grouplist.php
===================================================================
--- kernel/class/grouplist.php	(revision 24945)
+++ kernel/class/grouplist.php	(working copy)
@@ -78,8 +78,7 @@
 }
 
 $Module->setTitle( eZi18n::translate( 'kernel/class', 'Class group list' ) );
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $user = eZUser::currentUser();
 foreach( $TemplateData as $tpldata )
Index: kernel/class/removeclass.php
===================================================================
--- kernel/class/removeclass.php	(revision 24945)
+++ kernel/class/removeclass.php	(working copy)
@@ -114,8 +114,7 @@
 $canRemove = ( $canRemoveCount > 0 );
 
 $Module->setTitle( eZi18n::translate( 'kernel/class', 'Remove classes %class_id', null, array( '%class_id' => $ClassID ) ) );
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'module', $Module );
 $tpl->setVariable( 'GroupID', $GroupID );
Index: kernel/class/removegroup.php
===================================================================
--- kernel/class/removegroup.php	(revision 24945)
+++ kernel/class/removegroup.php	(working copy)
@@ -86,8 +86,7 @@
     $Module->redirectTo( '/class/grouplist/' );
 }
 $Module->setTitle( eZi18n::translate( 'kernel/class', 'Remove class groups' ) . ' ' . $GroupName );
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( "DeleteResult", $deleteResult );
 $tpl->setVariable( "module", $Module );
Index: kernel/class/translation.php
===================================================================
--- kernel/class/translation.php	(revision 24945)
+++ kernel/class/translation.php	(working copy)
@@ -116,9 +116,7 @@
         return $module->redirectToView( 'view', array( $classID ), array( $languageCode ) );
     }
 
-    require_once( "kernel/common/template.php" );
-
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
 
     $tpl->setVariable( 'class_id', $classID );
     $tpl->setVariable( 'class', $class );
Index: kernel/class/view.php
===================================================================
--- kernel/class/view.php	(revision 24945)
+++ kernel/class/view.php	(working copy)
@@ -76,9 +76,7 @@
 
 $Module->setTitle( "Edit class " . $class->attribute( "name" ) );
 
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
-
+$tpl = eZTemplate::instanceInit();
 $res = eZTemplateDesignResource::instance();
 $res->setKeys( array( array( 'class', $class->attribute( "id" ) ),
                       array( 'class_identifier', $class->attribute( 'identifier' ) ) ) );
Index: kernel/classes/ezcollaborationitemhandler.php
===================================================================
--- kernel/classes/ezcollaborationitemhandler.php	(revision 24945)
+++ kernel/classes/ezcollaborationitemhandler.php	(working copy)
@@ -172,8 +172,7 @@
         $db->begin();
         if ( $collectionHandling == self::NOTIFICATION_COLLECTION_ONE_FOR_ALL )
         {
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
             $tpl->resetVariables();
             $tpl->setVariable( 'collaboration_item', $item );
             $result = $tpl->fetch( 'design:notification/handler/ezcollaboration/view/plain.tpl' );
@@ -217,8 +216,7 @@
                 $userCollection[$participantRole][] = $userItem;
             }
 
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
             $tpl->resetVariables();
             foreach( $userCollection as $participantRole => $collectionItems )
             {
Index: kernel/classes/ezcontentcachemanager.php
===================================================================
--- kernel/classes/ezcontentcachemanager.php	(revision 24945)
+++ kernel/classes/ezcontentcachemanager.php	(working copy)
@@ -810,8 +810,7 @@
                         eZSys::addAccessPath( $changeToSiteAccess );
                     }
     
-                    require_once( 'kernel/common/template.php' );
-                    $tpl = templateInit();
+                    $tpl = eZTemplate::instanceInit();
                     $res = eZTemplateDesignResource::instance();
     
                     // Get the sitedesign and cached view preferences for this siteaccess
Index: kernel/classes/eztrigger.php
===================================================================
--- kernel/classes/eztrigger.php	(revision 24945)
+++ kernel/classes/eztrigger.php	(working copy)
@@ -282,8 +282,7 @@
             case eZWorkflow::STATUS_FETCH_TEMPLATE:
             case eZWorkflow::STATUS_FETCH_TEMPLATE_REPEAT:
             {
-                require_once( 'kernel/common/template.php' );
-                $tpl = templateInit();
+                $tpl = eZTemplate::instanceInit();
                 $result = array();
                 foreach ( array_keys( $workflowProcess->Template['templateVars'] ) as $key )
                 {
Index: kernel/classes/confirmorderhandlers/ezdefaultconfirmorderhandler.php
===================================================================
--- kernel/classes/confirmorderhandlers/ezdefaultconfirmorderhandler.php	(revision 24945)
+++ kernel/classes/confirmorderhandlers/ezdefaultconfirmorderhandler.php	(working copy)
@@ -63,8 +63,7 @@
             $order = $params['order'];
             $email = $params['email'];
 
-            require_once( "kernel/common/template.php" );
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
             $tpl->setVariable( 'order', $order );
             $templateResult = $tpl->fetch( 'design:shop/orderemail.tpl' );
 
Index: kernel/classes/datatypes/ezxmltext/ezxmloutputhandler.php
===================================================================
--- kernel/classes/datatypes/ezxmltext/ezxmloutputhandler.php	(revision 24945)
+++ kernel/classes/datatypes/ezxmltext/ezxmloutputhandler.php	(working copy)
@@ -180,7 +180,7 @@
             return $output;
         }
 
-        $this->Tpl = templateInit();
+        $this->Tpl = eZTemplate::instanceInit();
         $this->Res = eZTemplateDesignResource::instance();
         if ( $this->ContentObjectAttribute )
         {
Index: kernel/classes/datatypes/ezxmltext/ezxmltexttype.php
===================================================================
--- kernel/classes/datatypes/ezxmltext/ezxmltexttype.php	(revision 24945)
+++ kernel/classes/datatypes/ezxmltext/ezxmltexttype.php	(working copy)
@@ -99,7 +99,6 @@
 
 */
 
-require_once( "kernel/common/template.php" );
 class eZXMLTextType extends eZDataType
 {
     const DATA_TYPE_STRING = "ezxmltext";
Index: kernel/classes/notification/handler/ezgeneraldigest/ezgeneraldigesthandler.php
===================================================================
--- kernel/classes/notification/handler/ezgeneraldigest/ezgeneraldigesthandler.php	(revision 24945)
+++ kernel/classes/notification/handler/ezgeneraldigest/ezgeneraldigesthandler.php	(working copy)
@@ -133,8 +133,7 @@
 
             $addressArray = $this->fetchUsersForDigest( $timestamp );
 
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
 
             foreach ( $addressArray as $address )
             {
Index: kernel/classes/notification/handler/ezsubtree/ezsubtreehandler.php
===================================================================
--- kernel/classes/notification/handler/ezsubtree/ezsubtreehandler.php	(revision 24945)
+++ kernel/classes/notification/handler/ezsubtree/ezsubtreehandler.php	(working copy)
@@ -115,8 +115,7 @@
         {
             return eZNotificationEventHandler::EVENT_SKIPPED;
         }
-        require_once( 'kernel/common/template.php' );
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
         $tpl->resetVariables();
 
         $parentNode = $contentNode->attribute( 'parent' );
Index: kernel/collaboration/group.php
===================================================================
--- kernel/collaboration/group.php	(revision 24945)
+++ kernel/collaboration/group.php	(working copy)
@@ -52,8 +52,7 @@
 
 $viewParameters = array( 'offset' => $Offset );
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'view_parameters', $viewParameters );
 $tpl->setVariable( 'collab_group', $collabGroup );
Index: kernel/collaboration/item.php
===================================================================
--- kernel/collaboration/item.php	(revision 24945)
+++ kernel/collaboration/item.php	(working copy)
@@ -48,8 +48,7 @@
 
 $viewParameters = array( 'offset' => $Offset );
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'view_parameters', $viewParameters );
 $tpl->setVariable( 'collab_item', $collabItem );
Index: kernel/collaboration/view.php
===================================================================
--- kernel/collaboration/view.php	(revision 24945)
+++ kernel/collaboration/view.php	(working copy)
@@ -47,8 +47,8 @@
 
 $viewParameters = array( 'offset' => $Offset );
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'view_parameters', $viewParameters );
 
Index: kernel/common/template.php
===================================================================
--- kernel/common/template.php	(revision 24945)
+++ kernel/common/template.php	(working copy)
@@ -26,48 +26,17 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-
+/**
+ * Function to get template instance, load autoloads (operators) and set default settings. 
+ * 
+ * @deprecated Deprecated as of 4.3, use {@see eZTemplate::instanceInit()} instead
+ * @param string $name (Not supported as it was prevoisly set on same instance anyway)
+ * @return eZTemplate
+ */
 function templateInit( $name = false )
 {
-    if ( $name === false &&
-         isset( $GLOBALS['eZPublishTemplate'] ) )
-    {
-        return $GLOBALS['eZPublishTemplate'];
-    }
-    if ( isset( $GLOBALS["eZPublishTemplate_$name"] ) )
-    {
-        return $GLOBALS["eZPublishTemplate_$name"];
-    }
-    $tpl = eZTemplate::instance();
-
-    $ini = eZINI::instance();
-    if ( $ini->variable( 'TemplateSettings', 'Debug' ) == 'enabled' )
-        eZTemplate::setIsDebugEnabled( true );
-
-    $compatAutoLoadPath = $ini->variableArray( 'TemplateSettings', 'AutoloadPath' );
-    $autoLoadPathList = $ini->variable( 'TemplateSettings', 'AutoloadPathList' );
-
-    $extensionAutoloadPath = $ini->variable( 'TemplateSettings', 'ExtensionAutoloadPath' );
-    $extensionPathList = eZExtension::expandedPathList( $extensionAutoloadPath, 'autoloads' );
-
-    $autoLoadPathList = array_unique( array_merge( $compatAutoLoadPath, $autoLoadPathList, $extensionPathList ) );
-
-    $tpl->setAutoloadPathList( $autoLoadPathList );
-    $tpl->autoload();
-
-    $tpl->registerResource( eZTemplateDesignResource::instance() );
-
-    if ( $name === false )
-    {
-        $GLOBALS['eZPublishTemplate'] = $tpl;
-    }
-    else
-    {
-        $GLOBALS["eZPublishTemplate_$name"] = $tpl;
-    }
-
-    return $tpl;
+    return eZTemplate::instanceInit();
 }
 
 
-?>
+?>
\ No newline at end of file
Index: kernel/content/action.php
===================================================================
--- kernel/content/action.php	(revision 24945)
+++ kernel/content/action.php	(working copy)
@@ -114,8 +114,8 @@
         if ( count( $allLanguages ) > 1 &&
              $hasClassInformation )
         {
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            
+            $tpl = eZTemplate::instanceInit();
 
             $tpl->setVariable( 'node_id', $http->postVariable( 'NodeID' ) );
             $tpl->setVariable( 'class_id', $contentClassID );
Index: kernel/content/advancedsearch.php
===================================================================
--- kernel/content/advancedsearch.php	(revision 24945)
+++ kernel/content/advancedsearch.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 /*!
  Get search limit
@@ -62,7 +62,7 @@
 if ( $ViewMode == 'offset' )
     $ViewMode = '';
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $ini = eZINI::instance();
 $useSearchCode = $ini->variable( 'SearchSettings', 'SearchViewHandling' ) == 'default';
Index: kernel/content/attribute_edit.php
===================================================================
--- kernel/content/attribute_edit.php	(revision 24945)
+++ kernel/content/attribute_edit.php	(working copy)
@@ -34,7 +34,7 @@
   \param $Module must be set by the code which includes this file
 */
 
-require_once( 'kernel/common/template.php' );
+
 
 if ( isset( $Module ) )
     $Module = $Params['Module'];
@@ -417,7 +417,7 @@
     $tpl = $Params['TemplateObject'];
 
 if ( !isset( $tpl ) || !( $tpl instanceof eZTemplate ) )
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'validation', $validation );
 $tpl->setVariable( 'validation_log', $validatedAttributes );
Index: kernel/content/bookmark.php
===================================================================
--- kernel/content/bookmark.php	(revision 24945)
+++ kernel/content/bookmark.php	(working copy)
@@ -30,7 +30,7 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 
@@ -88,7 +88,7 @@
     }
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable('view_parameters', $viewParameters );
 
 $Result = array();
Index: kernel/content/browse.php
===================================================================
--- kernel/content/browse.php	(revision 24945)
+++ kernel/content/browse.php	(working copy)
@@ -26,9 +26,9 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $http = eZHTTPTool::instance();
 
 $browse = new eZContentBrowse();
Index: kernel/content/collectedinfo.php
===================================================================
--- kernel/content/collectedinfo.php	(revision 24945)
+++ kernel/content/collectedinfo.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 $module = $Params['Module'];
 $viewMode = 'full';
@@ -57,7 +57,7 @@
 
 $http = eZHTTPTool::instance();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $icMap = array();
 if ( $http->hasSessionVariable( 'InformationCollectionMap' ) )
Index: kernel/content/collectinformation.php
===================================================================
--- kernel/content/collectinformation.php	(revision 24945)
+++ kernel/content/collectinformation.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
@@ -72,7 +72,7 @@
          ( $userDataHandling == 'unique' and
            $collection ) )
     {
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
 
         $attributeHideList = eZInformationCollection::attributeHideList();
         $informationCollectionTemplate = eZInformationCollection::templateForObject( $object );
@@ -242,7 +242,7 @@
 
         if ( $sendEmail )
         {
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
 
             $attributeHideList = eZInformationCollection::attributeHideList();
             $informationCollectionTemplate = eZInformationCollection::templateForObject( $object );
Index: kernel/content/copy.php
===================================================================
--- kernel/content/copy.php	(revision 24945)
+++ kernel/content/copy.php	(working copy)
@@ -182,8 +182,8 @@
 function chooseObjectVersionsToCopy( $Module, &$Result, $object )
 {
         $selectedNodeIDArray = eZContentBrowse::result( $Module->currentAction() );
-        require_once( 'kernel/common/template.php' );
-        $tpl = templateInit();
+        
+        $tpl = eZTemplate::instanceInit();
         $tpl->setVariable( 'object', $object );
         $tpl->setVariable( 'selected_node_id', $selectedNodeIDArray[0] );
         $Result['content'] = $tpl->fetch( 'design:content/copy.tpl' );
Index: kernel/content/copysubtree.php
===================================================================
--- kernel/content/copysubtree.php	(revision 24945)
+++ kernel/content/copysubtree.php	(working copy)
@@ -825,8 +825,8 @@
 {
         $selectedNodeIDArray = eZContentBrowse::result( $Module->currentAction() );
 
-        require_once( 'kernel/common/template.php' );
-        $tpl = templateInit();
+        
+        $tpl = eZTemplate::instanceInit();
 
         $tpl->setVariable( 'node', $srcNode );
         $tpl->setVariable( 'selected_node_id', $selectedNodeIDArray[0] );
@@ -843,8 +843,8 @@
 
 function showNotificationAfterCopying( $http, $Module, &$Result, &$Notifications, $srcNode )
 {
-    require_once( 'kernel/common/template.php' );
-    $tpl = templateInit();
+    
+    $tpl = eZTemplate::instanceInit();
 
     if ( $http->hasSessionVariable( "LastAccessesURI" ) )
     {
Index: kernel/content/dashboard.php
===================================================================
--- kernel/content/dashboard.php	(revision 24945)
+++ kernel/content/dashboard.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 $ini = eZINI::instance( 'dashboard.ini' );
 $currentUser = eZUser::currentUser();
@@ -99,7 +99,7 @@
 
 $contentInfoArray = array();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'blocks', $orderedBlocks );
 $tpl->setVariable( 'user', $currentUser );
Index: kernel/content/diff.php
===================================================================
--- kernel/content/diff.php	(revision 24945)
+++ kernel/content/diff.php	(working copy)
@@ -27,7 +27,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 $Module = $Params['Module'];
 $objectID = $Params['ObjectID'];
@@ -51,7 +51,7 @@
     return $Module->handleError( eZError::KERNEL_ACCESS_DENIED, 'kernel' );
 
 $http = eZHTTPTool::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $res = eZTemplateDesignResource::instance();
 $res->setKeys( array( array( 'object', $contentObject->attribute( 'id' ) ),
Index: kernel/content/draft.php
===================================================================
--- kernel/content/draft.php	(revision 24945)
+++ kernel/content/draft.php	(working copy)
@@ -30,7 +30,7 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 
@@ -75,7 +75,7 @@
     $db->commit();
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable('view_parameters', $viewParameters );
 
Index: kernel/content/edit.php
===================================================================
--- kernel/content/edit.php	(revision 24945)
+++ kernel/content/edit.php	(working copy)
@@ -326,9 +326,9 @@
         }
 
         // No version found, ask the user.
-        require_once( 'kernel/common/template.php' );
+        
 
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
 
         $res = eZTemplateDesignResource::instance();
         $res->setKeys( array( array( 'object', $obj->attribute( 'id' ) ),
@@ -394,8 +394,8 @@
                 }
             }
 
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            
+            $tpl = eZTemplate::instanceInit();
 
             $res = eZTemplateDesignResource::instance();
             $res->setKeys( array( array( 'object', $obj->attribute( 'id' ) ),
@@ -438,8 +438,8 @@
                     $mostRecentDraft = $currentDraft;
                 }
             }
-            require_once( 'kernel/common/template.php' );
-            $tpl = templateInit();
+            
+            $tpl = eZTemplate::instanceInit();
 
                 $res = eZTemplateDesignResource::instance();
             $res->setKeys( array( array( 'object', $obj->attribute( 'id' ) ),
@@ -673,8 +673,8 @@
                 $conflictingVersions = $version->hasConflicts( $EditLanguage );
                 if ( $conflictingVersions )
                 {
-                    require_once( 'kernel/common/template.php' );
-                    $tpl = templateInit();
+                    
+                    $tpl = eZTemplate::instanceInit();
 
                     $res = eZTemplateDesignResource::instance();
                     $res->setKeys( array( array( 'object', $object->attribute( 'id' ) ),
Index: kernel/content/error.php
===================================================================
--- kernel/content/error.php	(revision 24945)
+++ kernel/content/error.php	(working copy)
@@ -25,13 +25,13 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 $NodeID = $Params['NodeID'];
 $Module = $Params['Module'];
 
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $Module->setTitle( "Error 404 object " . $NodeID . " not found" );
 
Index: kernel/content/history.php
===================================================================
--- kernel/content/history.php	(revision 24945)
+++ kernel/content/history.php	(working copy)
@@ -26,8 +26,8 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $http = eZHTTPTool::instance();
 
 $ObjectID = $Params['ObjectID'];
Index: kernel/content/keyword.php
===================================================================
--- kernel/content/keyword.php	(revision 24945)
+++ kernel/content/keyword.php	(working copy)
@@ -30,7 +30,7 @@
 
 /*! \file
 */
-require_once( 'kernel/common/template.php' );
+
 
 $Module = $Params['Module'];
 $Alphabet = rawurldecode( $Params['Alphabet'] );
@@ -39,7 +39,7 @@
 $ClassID = $Params['ClassID'];
 $viewParameters = array( 'offset' => $Offset, 'classid' => $ClassID );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'view_parameters', $viewParameters );
 $tpl->setVariable( 'alphabet', $Alphabet );
Index: kernel/content/newcontent.php
===================================================================
--- kernel/content/newcontent.php	(revision 24945)
+++ kernel/content/newcontent.php	(working copy)
@@ -27,9 +27,9 @@
 //
 
 
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $user = eZUser::currentUser();
 
 $tpl->setVariable( "view_parameters", $Params['UserParameters'] );
Index: kernel/content/node_edit.php
===================================================================
--- kernel/content/node_edit.php	(revision 24945)
+++ kernel/content/node_edit.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 
 function checkNodeAssignments( $module, $class, $object, $version, $contentObjectAttributes, $editVersion, $editLanguage, $FromLanguage, &$validation )
Index: kernel/content/pdf.php
===================================================================
--- kernel/content/pdf.php	(revision 24945)
+++ kernel/content/pdf.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $NodeID = $Params['NodeID'];
 $Module = $Params['Module'];
 $LanguageCode = $Params['Language'];
@@ -301,7 +301,7 @@
                           array( 'class_group', $object->attribute( 'match_ingroup_id_list' ) ),
                           array( 'class_identifier', $object->attribute( 'class_identifier' ) ) ) );
 
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
 
     $tpl->setVariable( 'view_parameters', $viewParameters );
 
